## net.htmlparser.jericho
Class RowColumnVector

    java.lang.Object
      net.htmlparser.jericho.RowColumnVector

    public final class RowColumnVector

extends Object

Represents the row and column number of a character position in the source document.

Obtained using the `Source.getRowColumnVector(int pos)` method.

Method Summary
`int` `getColumn()` Returns the column number of this character position in the source document.
`int` `getPos()` Returns the character position in the source document.
`int` `getRow()` Returns the row number of this character position in the source document.
`String` `toString()` Returns a string representation of this character position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRow

    public int getRow()

  Returns the row number of this character position in the source document.

  If a `StreamedSource` is in use, this method always returns `-1`.

  Returns:
    the row number of this character position in the source document.

### getColumn

    public int getColumn()

  Returns the column number of this character position in the source document.

  If a `StreamedSource` is in use, this method always returns `-1`.

  Returns:
    the column number of this character position in the source document.

### getPos

    public int getPos()

  Returns the character position in the source document.

  Returns:
    the character position in the source document.

### toString

    public String toString()

  Returns a string representation of this character position.

  The returned string has the format "`(row,column:pos)`".

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this character position.